Skip to content
Start here

Get ASPA count time series

radar.bgp.rpki.aspa.timeseries(ASPATimeseriesParams**kwargs) -> ASPATimeseriesResponse
GET/radar/bgp/rpki/aspa/timeseries

Retrieves ASPA (Autonomous System Provider Authorization) object count over time. Supports filtering by RIR or location (country code) to generate multiple named series. If no RIR or location filter is specified, returns total count.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
date_end: Optional[Union[str, datetime]]

End of the date range (inclusive).

formatdate-time
date_start: Optional[Union[str, datetime]]

Start of the date range (inclusive).

formatdate-time
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
location: Optional[SequenceNotStr[str]]

Filters results by location. Specify a comma-separated list of alpha-2 location codes.

name: Optional[SequenceNotStr[str]]

Array of names used to label the series in the response.

rir: Optional[List[Literal["RIPE_NCC", "ARIN", "APNIC", 2 more]]]

Filter by Regional Internet Registry (RIR). Multiple RIRs generate multiple series.

One of the following:
"RIPE_NCC"
"ARIN"
"APNIC"
"LACNIC"
"AFRINIC"
ReturnsExpand Collapse
class ASPATimeseriesResponse:
meta: Meta
data_time: datetime

Timestamp of the underlying data.

formatdate-time
query_time: datetime

Timestamp when the query was executed.

formatdate-time
serie_0: Serie0
timestamps: List[datetime]
values: List[str]

Get ASPA count time series

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.bgp.rpki.aspa.timeseries()
print(response.meta)
{
  "result": {
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "dataTime": "2019-12-27T18:11:19.117Z",
      "queryTime": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}